/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.jmx.xmbean;

import java.io.Serializable;

/** An object with an x.y string representation
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.2.6.2 $
 */
public class CustomType implements Serializable
{
   static final long serialVersionUID = -4057188642177784609L;
   int x;
   int y;

   public CustomType(int x, int y)
   {
      this.x = x;
      this.y = y;
   }

   public int getX()
   {
      return x;
   }
   public int getY()
   {
      return y;
   }
   public String toString()
   {
      return "{"+x+"."+y+"}";
   }
}
